#include <iostream>
#include <cstdlib>

int main(int argc, char *argv[])
// Write out vertex and face matrices for a cube with side length (a*h) and shifted so that the center of the right face is at [0,h/2,h/2]
// (Unit cube vertex matrix V=[0 0 0; 0 1 0; 1 1 0; 1 0 0; 0 0 1; 0 1 1; 1 1 1; 1 0 1])
{
  using namespace std;

  double a=1., h=1.;
  if( argc > 1 ) // loop over command line arguments
    { 
      a=atof(argv[1]);
    }
  else
    {
      cout << "USE: IniCube <a>\n";
      cout << "DESCRIPTION: Write out vertex and face matrices for a cube with side length (a*h) and shifted so that the center of the right face is at [0,h/2,h/2]. Assume h=1.\n";
      cout << "DEFAULTS: a=1.\n\n";
      return 0;
    }

  double x=-a*h, y=-h/2*(a-1), z=y;

  printf("V(8,3)=[\
%2.1f %2.1f %2.1f; \
%2.1f %2.1f %2.1f; \
%2.1f %2.1f %2.1f; \
%2.1f %2.1f %2.1f; \
%2.1f %2.1f %2.1f; \
%2.1f %2.1f %2.1f; \
%2.1f %2.1f %2.1f; \
%2.1f %2.1f %2.1f;\
] // % vertex matrix (cuboid)\n", 0-x, 0+y, 0+z, 0+x, a+y, 0+z, a+x, a+y, 0+z, a+x, 0+y, 0+z, 0+x, 0+y, a+z, 0+x, a+y, a+z, a+x, a+y, a+z, a+x, 0+y, a+z);

  printf("F(6,4)=[0 1 2 3; 4 5 6 7; 1 2 6 5; 0 3 7 4; 0 1 5 4; 2 3 7 6] // faces matrix (refers to rows of V)\n");

  return 0;
}
