#!/bin/bash 
# 2D/1D MSD and D - modify & compile Tracker accordingly
# Assumes Tracker.C has 3D diffusivities uncommented while all others are commented out
#
# sed, comment:   s:^:\/\/:
# sed, uncomment: s:^\/\/::
#

root=`dirname $0`/.. # Tracker's home directory
cd $root

cp Tracker.C Tracker.C.bak # backup

echo "Processing 3D..."
Utils/compile.sh # compile to binary
mv Tracker Tracker_D3D # rename binary

echo "Processing 2D 12..."
sed -i -e '/\*\*\* 3D MSD/ s:^:\/\/:' \
       -e '/\*\*\* 3D D/ s:^:\/\/:' \
       -e '/\*\*\* 2D MSD 12/ s:^//::' \
       -e '/\*\*\* 2D D/ s:^//::' Tracker.C # comment 3D, uncomment 2D
Utils/compile.sh # compile to binary
mv Tracker Tracker_D2D12 # rename binary
#cp Tracker.C Tracker.C.2D12
cp Tracker.C.bak Tracker.C # revert source code to backup

echo "Processing 2D 01..."
sed -i -e '/\*\*\* 3D MSD/ s:^:\/\/:' \
       -e '/\*\*\* 3D D/ s:^:\/\/:' \
       -e '/\*\*\* 2D MSD 01/ s:^//::' \
       -e '/\*\*\* 2D D/ s:^//::' Tracker.C
Utils/compile.sh
mv Tracker Tracker_D2D01
#cp Tracker.C Tracker.C.2D01
cp Tracker.C.bak Tracker.C

echo "Processing 2D 02..."
sed -i -e '/\*\*\* 3D MSD/ s:^:\/\/:' \
       -e '/\*\*\* 3D D/ s:^:\/\/:' \
       -e '/\*\*\* 2D MSD 02/ s:^//::' \
       -e '/\*\*\* 2D D/ s:^//::' Tracker.C
Utils/compile.sh
mv Tracker Tracker_D2D02
#cp Tracker.C Tracker.C.2D02
cp Tracker.C.bak Tracker.C

echo "Processing 1D 1..."
sed -i -e '/\*\*\* 3D MSD/ s:^:\/\/:' \
       -e '/\*\*\* 3D D/ s:^:\/\/:' \
       -e '/\*\*\* 1D MSD 1/ s:^//::' \
       -e '/\*\*\* 1D D/ s:^//::' Tracker.C
Utils/compile.sh
mv Tracker Tracker_D1D1
#cp Tracker.C Tracker.C.1D1
cp Tracker.C.bak Tracker.C
