%% Fill each row for every simulation
%% Note: Run, prior to this, processhdf.m with clear all & close all commented out

%% Assume V0=1 => |V0^2| = 3

VAF_FD1=squeeze(VAF)/3; % FD, zeta factor = 0.1
VAF_FD2=squeeze(VAF)/3; % FD, zeta factor = 0.5
VAF_FD3=squeeze(VAF)/3;

VAF_HI1=abs(squeeze(VAF)/3); % HI, zeta factor = 0.1
VAF_HI2=abs(squeeze(VAF)/3); % HI, zeta factor = 0.5

%----------------------------------------------

LT=(time./time(2)).^(-3./2); % long-time tail
B=1/12*KB*temp*sqrt(rho)*(pi*eta)^(-3/2) / (u_0^2) / 3; % B prefactor of long-time tail power law, nondim by u_0 and divide by v0^2

VAF_FD1a=abs(VAF_FD1);
VAF_FD2a=abs(VAF_FD2);
VAF_FD3a=abs(VAF_FD3);

figure(66);
loglog(time,VAF_FD1,'b:',time,VAF_FD2,'g-.',time,abs(VAF_HI1),'b--',time,abs(VAF_HI2),'r',time,B*time.^(-3./2),'k');
legend('FD, \zeta_c=0.1', 'FD, \zeta_c=0.5','HI, \zeta_c=0.1','HI, \zeta_c=0.5', 'B \times t^{-3/2}');
%%%legend('NS, no force transfer', 'NS + F^D','NS + F^D + F^{RND}','LLNS, no force transfer','LLNS + F^D', 'LLNS + F^D + F^{RND}', 'eye guide t^{-3/2}');
title(['VAF decay, friction only, Ahlrichs deterministic experiment'], 'FontWeight', 'bold');

loglog(time,VAF_FD1a,'b',time,VAF_FD2a,'g-.',time,VAF_FD3a,'m-.',time,B*time.^(-3./2),'k');
legend('LLNS, no force transfer','LLNS + F^D', 'LLNS + F^D + F^{RND}', 'eye guide t^{-3/2}');
title(['VAF decay, LLNS'], 'FontWeight', 'bold');

xlabel('time [s]'); ylabel('normalized |VAF|');


%%%%%%%%%%%%%%%% TMP %%%%%%%%%%%%%%%%
close all
VAF_FD=squeeze(VAF)/3; % FD, zeta factor = 0.1
LT=(time./time(2)).^(-3./2); % long-time tail
B=1/12*KB*temp*sqrt(rho)*(pi*eta)^(-3/2) / (u_0^2) / 3; % B prefactor of long-time tail power law, nondim by u_0 and divide by v0^2
VAF_FDa=abs(VAF_FD);
loglog(time,VAF_FDa,time,B*time.^(-3./2),'k');

figure(77);
%%%loglog(time(1:100),VAF_FD1(1:100),'b',time(1:100),VAF_FD2(1:100),'g-.',time(1:100),B*time(1:100).^(-3./2),'k');
loglog(time,VAF_FD1,'b',time),VAF_FD2,'g-.',time,B*time.^(-3./2),'k');
legend('LLNS + F^D', 'LLNS + F^D + F^{RND}', 'eye guide t^{-3/2}');
title(['VAF decay, LLNS'], 'FontWeight', 'bold');
xlabel('time [s]'); ylabel('normalized |VAF|');
