function [estimates, model] = fitcurve(xdata, ydata)
% *** Adopted from Matlab manual ***
% Call fminsearch with a random starting point.
start_point = rand(1, 3); % 3 params
%start_point=[6.306390626251954e-08 1.327756753974914e+02 1.919440938577679e-05]; % for mufun
model = @expfun; % get a function handle
%options = optimset('TolFun',1e-7,'TolX',1e-7); % options for fminsearch
estimates = fminsearch(model, start_point);
% expfun accepts curve parameters as inputs, and outputs sse,
% the sum of squares error for A*exp(-xdata/Tau)+B - ydata,
% and the FittedCurve. FMINSEARCH only needs sse, but we want
% to plot the FittedCurve at the end.
% The nested function expfun computes the sum of squares.
    function [sse, FittedCurve] = expfun(params)
        A = params(1);
        B = params(2);
        Tau = params(3);
        FittedCurve = A .* exp( - xdata / Tau) + B;
        ErrorVector = FittedCurve - ydata;
        sse = sum(ErrorVector .^ 2); % sum of squares
    end
    function [sse, FittedCurve] = mufun(params)
        mu0 = params(1);
        alpha = params(2);
        gamma = params(3);
        FittedCurve = mu0 ./ ( 1 + gamma.*xdata.*exp( alpha./xdata ));
        ErrorVector = FittedCurve - ydata;
        sse = sum(ErrorVector .^ 2); % sum of squares
    end
end