#!/bin/bash 
# Generate trajectories by converting .dlpolyhist to .xyz

in="Output/HISTORY_S.dlpolyhist"
out="Output/HISTORY_S.xyz"
root=`dirname $0`/.. # Tracker's home directory

cd $root
echo "Converting $in -> $out..."
tmp="HISTORY.tmp"
# Remove lines containing 'timestep' or 'bead'
awk 'match($0,"timestep|bead") == 0 {print $0}' $in > $tmp
# Insert atomXXX before each line
awk '{print "atom" NR, $0}' $tmp > $out
# Count # of lines
count=`grep -c "." $out`
# Prepend # of atoms (= # of lines - 1), use new file descriptor to do this in place
exec 3<> $out && awk -v TEXT="$count" 'BEGIN {print TEXT-1}{print}' $out >&3
rm $tmp
echo "Done."