%%% Import HDF file (and plot MSD vs time)
%clc, clear all, close all

i_msrgyr=1; i_mseed=2; i_stretch=3; i_msd=4; i_vaf=5; i_com=6; % see enum indices in Tracker.h (dynamic)
i_diff_msd=1; i_diff_vaf=2; i_vcom_avg=3;

filename=['~/hpc_mount/scratch/Tracker/Output/DATA_W_h0.5w4.HDF'];
[info, NoOfSDS, root, time, Tref, L, Tau, u_0, ppdrows, ppsrows]=import_metadata(filename);
% Import datasets into a structure
for i=1:NoOfSDS % loop over available datasets
    [SDS(i).Name, SDS(i).Data]=import_sds(i,info);
    if isequal(SDS(i).Name, strcat(root,'PPD'))
        % MSD -> DIFF_MSD
        MSD=SDS(i).Data(ppdrows(i_msd),:);
        %                      linfit=polyfit(time,MSD(k,:),1);
        %                      DIFF(k)=.5*linfit(1) / (Diff/L/L*Tau);
        %                      %D = 1/2 * grad(MSD) [normalized, uses mean MSD]
        % VAF -> DIFF_VAF
        VAF=SDS(i).Data(ppdrows(i_vaf),:);
        %                     % VCOM_AVG
        %                     VCOM_AVG=SDS(i).Data(ppsrows(i_vcom_avg)+0); % x-comp of COM vel. average
        %                     % VCOM (assume COM contains VCOM => change in
        %                     % Tracker.C!)
        %                     COMVX=squeeze( SDS(i).Data(ppdrows(i_com)+0,:) );
        %                     COMVY=squeeze( SDS(i).Data(ppdrows(i_com)+1,:) );
        %                     COMVZ=squeeze( SDS(i).Data(ppdrows(i_com)+2,:) );
        %                     VV=sqrt(COMVX.^2+COMVY.^2+COMVZ.^2);
        % Rgyr
        MSRGYR=sum(SDS(i).Data(ppdrows(i_msrgyr),:))/Tref;
        % E-E
        MSEED=sum(SDS(i).Data(ppdrows(i_mseed),:))/Tref;
    elseif isequal(SDS(i).Name, strcat(root,'PPS'))
        DIFF=SDS(i).Data(ppsrows(i_diff_msd))
    end
end

figure; plot(MSD)


