function [info, NoOfSDS, root, time, Tref, L, Tau, u_0, ppdrows, ppsrows] = import_metadata(filename)
display(['Importing metadata from ', filename, '...'])
hdf5=1; % hdf5 (1) or hdf4 (0)?

if(hdf5)
    root='/root/';  % root
    info=hdf5info(filename); % import info on HDF file
    NoOfSDS=length(info.GroupHierarchy.Groups.Datasets); % no of datasets
else
    root='';  % root
    info=hdfinfo(filename); % import info on HDF file
    NoOfSDS=length(info.Vgroup.SDS)+length(info.Vgroup.Vdata); % no of datasets
end
% Import datasets into a structure
for i=1:NoOfSDS % loop over available datasets
    [SDS(i).Name, SDS(i).Data]=import_sds(i,info);
    if isequal(SDS(i).Name, strcat(root,'Time')) % locate time array
        time=SDS(i).Data';
        Tref=size(SDS(i).Data,1);
    elseif isequal(SDS(i).Name, strcat(root,'L')) % these are redundant, do just once!
        L=SDS(i).Data;
    elseif isequal(SDS(i).Name, strcat(root,'Tau'))
        Tau=SDS(i).Data;
    elseif isequal(SDS(i).Name, strcat(root,'u_0'))
        u_0=SDS(i).Data;
    elseif isequal(SDS(i).Name, strcat(root,'PPDrows'))
        ppdrows=SDS(i).Data;
    elseif isequal(SDS(i).Name, strcat(root,'PPSrows'))
        ppsrows=SDS(i).Data;        
    end
end
end