function [sdsName, sdsData] = import_sds(i,info)
%%% Import name and contents of the ith dataset
hdf5=length(fieldnames(info))==5; %hdf 5 or 4? (hdf5 will have 5 fiels, hdf4 only 2)

if (hdf5)
    sdsName=info.GroupHierarchy.Groups.Datasets(i).Name; % create a structure
    sdsData=hdf5read(info.GroupHierarchy.Groups.Datasets(i));
else
    NoOfVdata=length(info.Vgroup.Vdata); % no of Vdata sets
    %NoOfSDS=length(info.Vgroup.SDS);    % # SDS sets (vectors)
    if (i <= NoOfVdata) % read Vdata (scalars
        sdsName=info.Vgroup.Vdata(i).Name;
        sdsData=hdfread(info.Vgroup.Vdata(i));
        if (iscell(sdsData)) sdsData=cell2mat(sdsData); % convert cell to double (if applicable)        
        end
    else % read SDS (vectors)
        i=i-NoOfVdata;
        sdsName=info.Vgroup.SDS(i).Name;
        sdsData=reshape_sds(hdfread(info.Vgroup.SDS(i)));
    end
end
    
end

function [B] = reshape_sds(A)
%%% Reshape 2D array of hdf4 format to hdf5 format, i.e.
%%% [ A B C        ->       [ A C E
%%%   D E F  ]                B D F ]
[m,n]=size(A);
B=reshape(A',1,[]);
B=reshape(B,m,[]);
end
