function [vcom_avg,L,n,v] = import_vcom_avg(ntrap, vtrap,i_vcom_avg)
%function [com,vcom_avg,L,n,v] = import_vcom_avg(ntrap, vtrap,i_com,i_vcom_avg)
P=4; % # traps (period) or length of pipe
for n=1:length(ntrap) % loop over N
    for v=1:length(vtrap) % loop over V
        % process HDF
        filename=['../Output_vulcan/DATA_Tn', num2str(ntrap(n)), 'v', num2str(vtrap(v)), '.HDF']; % change path and/or filename as desired
        [info, NoOfSDS, root, time, Tref, L, Tau, u_0, ppdrows, ppsrows]=import_metadata(filename);
        % Import datasets into a structure
        for i=1:NoOfSDS % loop over available datasets
            [SDS(i).Name, SDS(i).Data]=import_sds(i,info);
            if isequal(SDS(i).Name, strcat(root,'PPS'))
                % VCOM_AVG
                vcom_avg(n,v)=SDS(i).Data(ppsrows(i_vcom_avg)+0); % x-comp of COM vel. average                
            end
%             if isequal(SDS(i).Name, strcat(root,'PPD'))
%                 com=squeeze( SDS(i).Data(ppdrows(i_com)+0,:) ); % x-coord (1st) of Center Of Mass position
%             end
        end
    end
end

L=L*P; % legth of entire geometry
end