%% Process wall.out

%clc, clear all, close all
marker={'bo' 'kx','r+','c*','ms','bd','kv','r^','c<','m>','bp','kh','r.'}; % other markers
wp={'Jendrejack, Aw=1','Jendrejack, Aw=10','Jendrejack, Aw=25','Jendrejack, Aw=100','Jendrejack, Aw=40 (default)', '9-3', '10-4', 'WCA', 'theory (D \propto H^{-2/3})'}; % names of potentials

d=importdata('../Output/wall.out.1234'); % import wall.out
d1=importdata('../Output/wall.out.A1');
d10=importdata('../Output/wall.out.A10');
d25=importdata('../Output/wall.out.A25');
d100=importdata('../Output/wall.out.A100');

Hi=3; % height index
Di=5; % diffusivity index
Wl=d.data(end,1); % last wall potential
Rg=0.7e-6; % Rgyr,bulk (Jen, Lar)

p=cell(Wl,1); % pre-allocate cell-array for plot data
d.data(:,Hi)=d.data(:,Hi)/Rg; % H/Rg

for i=1:size(d.data,1) % form plot vectors
    w=d.data(i,1);
    p{w}(end+1,:)=[d.data(i,Hi) d.data(i,Di)];
end

figure;
for j=1:Wl % plot
    scale=max(p{4}(:,2));
    j_plot(j)=loglog(1./p{j}(:,1),p{j}(:,2)/scale, marker{j});
    hold on
end

hold on

plot1=loglog(1./d1.data(:,3)*Rg,d1.data(:,5), marker{j+1});
plot10=loglog(1./d10.data(:,3)*Rg,d10.data(:,5), marker{j+2});
plot25=loglog(1./d25.data(:,3)*Rg,d25.data(:,5), marker{j+3});
plot100=loglog(1./d100.data(:,3)*Rg,d100.data(:,5), marker{j+4});

H=d.data(:,3);
plot_t=loglog(1./H,(1./H).^-(2/3),'b');
%plot_t2=loglog(1./H,(1./H).^-0.4,'r');

legend([plot1 plot10 plot25 plot100 j_plot plot_t],wp,'Location','SouthWest')
xlabel('R_{g,bulk}/H'); ylabel('D/D_{Rouse}');
title(['Diffusion coefficient D versus channel height H'], 'FontWeight', 'bold');
%set(gca,'YScale', 'log','XScale', 'log','XTick', [0.1 1 10], 'XLim', [0.1 10])%, 'YTick', [1*10^(-0.2) 1 1], 'YLim', [1*10^(-0.2) 1]);
set(gca,'YScale', 'log','XScale', 'log','XTick', [0.5 1 1.5 2 2.5 3 10], 'XLim', [0.5 3], 'YLim',[10^(-2) 2])%, 'YTick', [1*10^(-0.2) 1 1], 'YLim', [1*10^(-0.2) 1]);



grid on


