#!/bin/bash
# Description: Add new line (parameter) to all DATA.INI.* files in the current directory to ensure backward compatibility
root=`dirname $0`/.. # Tracker's home directory

line=97 # line number
text="v_ev = 1.2e-21 		# excl. volume inter. param [m^3] (1.2e-21 for Jendrejack, 6.4e-29 for Matysiak)" # text to insert

cd $root/INI_files/
for f in DATA.INI.*
do 
echo "$f: Inserting ${text} at line ${line}..."
sed -i "${line}i${text}" $f
echo "2 lines of context after insertion:"
echo "----------------"
grep -n -C2 "${text}" $f
echo "----------------"
done
