#!/bin/bash 
# Run independent wall simulations in dlpoly v3 (execute from dlpoly's EXECUTE directory)
#

dlp_dir="Dlpoly_files"

H_array=( `seq -w 0.3 0.1 1.3` ) # heights

cp $dlp_dir/{FIELD,CONTROL} .
for h in ${H_array[@]} # loop over H
do

    echo "Running DLPOLY for H=$h..."
    cp $dlp_dir/h${h}/CONFIG .

    ./DLPOLY.X

    cp OUTPUT OUTPUT.h$h
    cp HISTORY HISTORY.h$h
    cp STATIS STATIS.h$h

done



# ### CONTROL file modified as follows:
# CHAIN

# integrator		     velocity
# ensemble		     nvt langevin 0.16
# temperature                  298
# equilibration steps          0
# steps                        10000
# timestep                     1e3
# cutoff                       3000
# rvdw                         1000
# no electrostatics
# print every                  10 stps
# stats every                  10 stps
# trajectory                   0 1 2
# job time                     7200 seconds
# close time                   600 seconds
# finish

