#!/bin/bash 
# Filter the MOAB output files resulting from Tracker wall simulations
#
# Diffsion coefficient (D) and Number of wall penetrations (P) vs the strength of the wall potential (A*kb*temp) and channel diameter (H)
# Output format: MxN, where M=range of H_array, N=range of A_array
#
root=`dirname $0`/../FDD4_wall # Tracker's home directory
output="../Output/wall.out.1D1"  # where to export
#output="../Output/wall.out.`date +%m%d%y_%H%M`"  # where to export

jobname="job" # name of MOAB job

export TRACKER_HOME=$root
cd $root
rm -f ${output}*

echo -ne "TimeStep \t\tHeight \t\tDiff \t\tPenet \n" > $output
for job in ${jobname}.h*w4*
do 
echo "Processing $job"
echo -ne "\
`sed -n 's/^\[code:dt\].*\[\(.*\)\].*/\1/p' $job` \
\t\t`sed -n 's/^\[physics:height\].*\[\(.*\)\].*/\1/p' $job` \
\t\t`awk '/Diff \(MSD\)/ {print $3}' $job` \
\t`grep -c "ALERT" $job` \
\n" >> $output
done
echo "Written ${root}/${output}."
