#!/bin/bash

ini_tracker="DATA.INI" # Tracker's parameters (to be overwritten as needed)
qsub_script="Utils/qsub.sh"
out="out"
root=`dirname $0`/.. # Tracker's home directory

if [ `whoami` == "administrator" ]
then
# desktop
tracker="./Tracker"
wait=""
else
# vulcan cluster
tracker="qsub $qsub_script"
#wait="Utils/wait.sh"
wait=""
fi

export TRACKER_HOME=$root
cd $root

rm -f $out
C_array=(1 2 3 4 5)
for c in ${C_array[@]} # loop
do
echo "Determine xi_effective (Usta's relation), friction_corr=$c..."
sed -i  -e 's/outputSuffix.*/outputSuffix = Z_HI_'$c'/' \
        -e 's/friction_corr.*/friction_corr = '$c'/' $ini_tracker \
	&& $tracker | grep "friction_chain" >> $out && $wait
done
